Subject: Re: yaboot issues

From: Ethan Benson <[email-masked]>
Date: Fri, 20 Apr 2001 15:52:43 -0800

On Fri, Apr 20, 2001 at 10:11:54PM +0000, James McD wrote:
> 
> Well, I cant find any docs on this so Im turning here for help.
> I have a dual g4 533 machine. If I set it up the way I have read
> I have a 100 meg HFS standard partition. Then I have 3 linux_svr partitions
> each a couple gigs for /home and /. Then I have a
> linux_svr parition for swap. Then another hfs standard for mac os.
> This of course puts me into the 12 parition range. I assume that is normal.

you should setup an 800K type Apple_Bootstrap partition.  

> My dilemna is this. I can boot off the cd, I can install. Then I can use the
> cd to boot a cd kernel and fire up the machine by specifying root. However,
> after copying the same files which are on the cd to
> the boot partition, yaboot comes up from the hard drive....but does not boot
> a kernel. It says
> trying kernel: j_carr
> Sound familiar to anyone?

sounds like your using the broken linuxppc yaboot.  try the mainline
yaboot from penguinppc.org/~benh or /usr/ybin/yaboot/

yaboot-faq: http://penguinppc.org/usr/ybin/doc/yaboot-faq.shtml
partitioning: http://penguinppc.org/usr/ybin/doc/mac-fdisk-basics.shtml
ybin (yaboot installer): http://penguinppc.org/usr/ybin/

> Help. It appears yaboot doesnt play well with this machine.

the mainline yaboot works fine on that machine, i have helped several
people get it working.  try a different distribution.  

-- 
Ethan Benson
http://www.alaska.net/~erbenson/